package de.hdm_stuttgart.mi;

import com.itextpdf.kernel.pdf.PdfDocument;
import com.itextpdf.kernel.colors.ColorConstants;
import com.itextpdf.kernel.geom.PageSize;
import com.itextpdf.kernel.pdf.PdfWriter;

import com.itextpdf.layout.Document;
import com.itextpdf.layout.element.Paragraph;

import java.io.FileNotFoundException;

/**
 * Creating a HelloWorld style pdf
 */

public class CreatePdf {

    /**
     * Main entry point.
     *
     * @param args Yet unused
     */
    public static void main( String[] args ) throws FileNotFoundException {

        final PdfWriter writer = new PdfWriter("helloWorld.pdf");

        //Initialize PDF document
        final PdfDocument pdf = new PdfDocument(writer);

        // Initialize document
        final Document document = new Document(pdf, PageSize.A8.rotate());

        //Add paragraph to the document
        document.add(new Paragraph("Hello World!").setFontColor(ColorConstants.MAGENTA).setFontSize(20));

        //Close document
        document.close();


//        final Document document = new Document();
//        document.setPageSize(new Rectangle(240,100));
//        PdfWriter.getInstance(document, new FileOutputStream("helloWorld.pdf"));
//
//        document.open();
//        final Font font = FontFactory.getFont(FontFactory.COURIER_BOLDOBLIQUE, 20, BaseColor.MAGENTA);
//        final Chunk chunk = new Chunk("Hello World!", font);
//
//        document.add(chunk);
//        document.close();
    }
}

